# Package-level declarations

## Types

KeyValueSPRepo
Link copied to clipboard
typealias KeyValueSPRepo < T > = KeyValueStore < T >
KeyValueStore
Link copied to clipboard
class KeyValueStore < T : Any > : SharedPreferences.OnSharedPreferenceChangeListener, KeyValueRepo < String , T >

## Functions

keyValueStore
Link copied to clipboard
fun < T : Any > Context . keyValueStore (name: String = "default", cacheValues: Boolean = false): KeyValueRepo < String , T >
SharedPreferencesKeyValueRepo
Link copied to clipboard
inline fun < T : Any > SharedPreferencesKeyValueRepo (context: Context , name: String = "default", cacheValues: Boolean = false): KeyValueRepo < String , T >